#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'paketlelang.pilih_ppk'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{lelang.PaketCtr.index()}">&{'paketlelang.daftar_paket'} </a>
	<li><a href="@{lelang.PaketCtr.edit(paket.pkt_id)}">&{'paketlelang.edit_paket'} </a>
	<li class="active">&{'paketlelang.pilih_ppk'}</li>
</ol>

<div class="content">
<table class="table table-sm table-bordered">
   <tr>
        <th class="bg-warning" width="20%">&{'lelangpaket.kode_rup'}</th>
        <th>${paket?.kodeRup}</th>
    </tr>
     <tr>
        <th class="bg-warning">&{'tag.klpd'}</th>
        <td>${paket?.namaInstansi}</td>
    </tr>
     <tr>
        <th class="bg-warning">&{'paketlelang.satuan_kerja'}</th>
        <td>${paket?.namaSatker}</td>
    </tr>
   <tr>
       <th class="bg-warning" width="200">&{'paketlelang.nama_paket'}</th>
       <td>${paket.pkt_nama}</td>
   </tr>
</table>

<div class="panel panel-default">
    <div class="panel-heading">&{'paketlelang.filter_ppk'}</div>
    <div class="panel-body">
            #{form @lelang.PaketCtr.ppk(paket.pkt_id, ang_id), class:"form-inline"}
                <div class="form-group"><label>&{'tag.berdasarkan_klpd'}:</label>
                    #{selectInstansi 'instansis[]', arg: 'insId', value:insId/} 
                    #{filterButton title:'Filter'/}
                    #{resetButton action:@lelang.PaketCtr.ppk(paket.pkt_id, ang_id), title:'reset'/}    
                </div>
            #{/form}
    </div>
</div>

<div class="panel panel-default">
  <div class="panel-heading">&{'paketlelang.pilih_ppk'}</div>
	<table class="table table-condensed" id="tblppk">
	    <thead>
	    <tr>
	    	<th width="5" nowrap>PPK</th>
	        <th width="20%">NIP/NRP</th>
	        <th>User ID</th>
	        <th>&{'paketlelang.nama'}</th>
	        <th width="10">&{'paketlelang.pilih'}</th>
	    </tr>
	    </thead>
	</table>
</div>
  #{if lelang}  #{backButton action:@lelang.LelangCtr.view(lelang.lls_id) /} #{/if}
  #{else} #{backButton action:@lelang.PaketCtr.edit(paket.pkt_id) /} #{/else}
</div>

#{form @lelang.PaketCtr.submit_ppk(paket.pkt_id, llsId, ang_id), id:'formPPK'}
    <input type="hidden" name="ppkId" id="ppkId" />
#{/form}

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
    var table = $("#tblppk").DataTable({
        ajax: "@{DataTableCtr.ppk(paket?.pkt_id, insId)}",
        columns: [{visible:false}, null,null,null, {render: function (data, type, row){
            var reasonUrl = '@{lelang.PaketCtr.alasanGantiPpk(paket.pkt_id,oldPpkId,llsId,insId,ang_id)}';
            return '<div class="text-center"><a href="'+reasonUrl+'" class="badge  badge-secondary dialog pilihFlag43" value="'+row[0]+'">Pilih</a></div>';
        }}]
    });
    $('#tblppk_filter input').unbind();
    $('#tblppk_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });

$(document).on("click", ".pilihFlag43", function(){
    var ppkId = $(this).attr('value');
    var url = $(this).attr('href');

    url = url + '&ppkId='+ppkId;
    $(this).attr('href',url);

    return true;
})
</script>
#{/set}